org.apache.ignite.configuration

## Class ThinClientConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.ThinClientConfiguration

-     public class ThinClientConfiguration
      extends Object

  Server-side thin-client configuration. This configuration related only to lightweight (thin) Ignite clients and not related to ODBC and JDBC clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DFLT_MAX_ACTIVE_COMPUTE_TASKS_PER_CONNECTION` Default limit of active compute tasks per connection.
    `static int` | `DFLT_MAX_ACTIVE_TX_PER_CONNECTION` Default limit of active transactions count per connection.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThinClientConfiguration()` Creates thin-client configuration with all default values.
    `ThinClientConfiguration(ThinClientConfiguration cfg)` Creates thin-client configuration by copying all properties from given configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxActiveComputeTasksPerConnection()` Gets active compute tasks per connection limit.
    `int` | `getMaxActiveTxPerConnection()`
    `ThinClientConfiguration` | `setMaxActiveComputeTasksPerConnection(int maxActiveComputeTasksPerConn)` Sets active compute tasks per connection limit.
    `ThinClientConfiguration` | `setMaxActiveTxPerConnection(int maxActiveTxPerConn)` Sets active transactions count per connection limit.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_MAX_ACTIVE_TX_PER_CONNECTION

          public static final int DFLT_MAX_ACTIVE_TX_PER_CONNECTION

      Default limit of active transactions count per connection.
      See Also:
        Constant Field Values

    - #### DFLT_MAX_ACTIVE_COMPUTE_TASKS_PER_CONNECTION

          public static final int DFLT_MAX_ACTIVE_COMPUTE_TASKS_PER_CONNECTION

      Default limit of active compute tasks per connection.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThinClientConfiguration

          public ThinClientConfiguration()

      Creates thin-client configuration with all default values.

    - #### ThinClientConfiguration

          public ThinClientConfiguration(ThinClientConfiguration cfg)

      Creates thin-client configuration by copying all properties from given configuration.
      Parameters:
        `cfg` - Configuration to copy.

  - ### Method Detail

    - #### getMaxActiveTxPerConnection

          public int getMaxActiveTxPerConnection()

      Returns:
        Active transactions count per connection limit.

    - #### setMaxActiveTxPerConnection

          public ThinClientConfiguration setMaxActiveTxPerConnection(int maxActiveTxPerConn)

      Sets active transactions count per connection limit.
      Parameters:
        `maxActiveTxPerConn` - Active transactions count per connection limit.
      Returns:
        `this` for chaining.

    - #### getMaxActiveComputeTasksPerConnection

          public int getMaxActiveComputeTasksPerConnection()

      Gets active compute tasks per connection limit.
      Returns:
        `True` if compute is enabled for thin client.

    - #### setMaxActiveComputeTasksPerConnection

          public ThinClientConfiguration setMaxActiveComputeTasksPerConnection(int maxActiveComputeTasksPerConn)

      Sets active compute tasks per connection limit. Value `0` means that compute grid functionality is disabled for thin clients.
      Parameters:
        `maxActiveComputeTasksPerConn` - Active compute tasks per connection limit.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022